IMAGE_NAME="cjvt-python-env"

all: build run

build:
	docker build . -t $(IMAGE_NAME)

run:
	docker run \
    	-it \
	-v /home/${USER}:/home/${USER} \
	--user $(shell id -u):$(shell id -g) \
	-v /etc/passwd:/etc/passwd \
	-v /etc/group:/etc/group \
    -v $(MAKE_ROOT):/project \
	-w /project \
	--net host \
	$(IMAGE_NAME) \
    /bin/bash
